> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mage.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Read agents

> List and fetch YAML-backed agents.

Only in Mage Pro.

Try our fully managed solution to access this advanced feature.

[Get started for free](https://cloud.mage.ai/sign-up?source=agents-api)

## List Agents

```http theme={"system"}
GET /api/agents
```

Optional query parameters:

* `_limit`: Maximum number of agents to return.
* `_offset`: Number of agents to skip.

```json theme={"system"}
{
  "agents": [],
  "metadata": {
    "count": 0,
    "results": 0,
    "has_more": false
  }
}
```

## Get Agent

```http theme={"system"}
GET /api/agents/{agent_uuid}
```

Returns one `agent` object.


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.